      !***********************************************************************!
      SUBROUTINE  domaine(  comm3d  )
      !***********************************************************************!
!
      USE MPI
!
      USE numerics
!
      IMPLICIT  NONE
!
INTERFACE
!
      INCLUDE 'i_equilibrage.h'
!
END INTERFACE
!
!--Declaration des arguments
!
!Constantes  MPI
      INTEGER,  INTENT(IN)    ::  comm3d
!
!--Declaration dea variables locales
!
      INTEGER,  DIMENSION(3)  ::  dims
      LOGICAL,  DIMENSION(3)  ::  periods
      INTEGER,  DIMENSION(3)  ::  coords
! 
      !***********************************************************************!
!
!Informations  sur  la  topologie
      CALL  MPI_CART_GET(  comm3d,  3,  dims,  periods,  coords,  ierr  )
!
!Calcul  des  indices  des  points  suivant  x  dans  chaque  domaine
      CALL  equilibrage(  ntx,  dims(1),  coords(1),  sx,  ex  )
!
!Calcul  des  indices  des  points  suivant  y  dans  chaque  domaine
      CALL  equilibrage(  nty,  dims(2),  coords(2),  sy,  ey  )
!
!Calcul  des  indices  des  points  suivant  y  dans  chaque  domaine
      CALL  equilibrage(  ntz,  dims(3),  coords(3),  sz,  ez  )
!
      END  SUBROUTINE  domaine

